Skip to main content
GET
/
prescriptions
/
{prescriptionId}
Retrieve prescription
curl --request GET \
  --url https://virtserver.swaggerhub.com/SUBIN23K/Subin_Health/1.0.0/prescriptions/{prescriptionId} \
  --header 'api_key: <api-key>'
{
  "patientId": 234796,
  "medicine": "Dolo 650",
  "isAvailable": true,
  "dosage": "650 mg",
  "isRegular": true,
  "price": 1000,
  "currency": "INR"
}

Authorizations

api_key
string
header
required

Path Parameters

prescriptionId
integer<int64>
required

Prescription ID

Example:

123124

Response

Successful operation

Details of a medical prescription assigned to a patient.

patientId
integer<int64>
required

Unique identifier for the patient.

Example:

234796

medicine
string
required

Name of the prescribed medicine.

Example:

"Dolo 650"

isAvailable
boolean
required

Indicates whether the medicine is currently available in the inventory.

dosage
string

Prescribed dosage of the medicine.

Example:

"650 mg"

isRegular
boolean

Indicates whether the prescription involves a recurring subscription.

price
integer

Unit price or total price of the prescribed medicine.

Example:

1000

currency
string

Currency code for the medicine's price.

Example:

"INR"